Subject: Re: bug#24146: Various window managers need startup services.

From: ng0 <[email-masked]>
Date: Wed, 03 Aug 2016 22:42:26 +0000

Hi,

Ludovic Courtès <[email-masked]> writes:

> ng0 <[email-masked]> skribis:
>
>> We have gnome and xfce with services to start them in
>> gnu/services/desktop.scm.
>>
>> We should add services for:
>>
>> * xmonad
>> * awesome
>> * ratpoison
>> * windowmaker
>> * sawfish
>> * openbox
>> * guile-wm
>> * i3-wm
>> * evilwm
>> * dwm
>> * bspwm
>
> Unlike full-blown desktop environments (GNOME, Xfce, KDE), I don’t think
> any of these window managers needs a service, because they typically fit
> in one package with just one command that needs to be launched.
>
> Compare this with ‘gnome-service-type’, which needs to extend Polkit and
> to add a whole bunch of packages to /run/current-system/profile so that
> it can work.
>
> ratpoison doesn’t need anything like that.  :-)
>
> I’m closing this bug, but let me know if you think I’m overlooking
> something!
>
> Thank you,
> Ludo’.

Am I overlooking something then?

Is a service what is required to make them selectable (cycle by pressing
F1) in the SLIM login?
I know that they all can be started just with one command, but having
them in SLIM would make it more visible as long as we use SLIM.

We could also have system config parts for them, for example to make
the awesome-wm config adjustable in the system.
-- 
♥Ⓐ  ng0
Current Keys: https://we.make.ritual.n0.is/ng0.txt
For non-prism friendly talk find me on http://www.psyced.org